/**
 * Smooth scrolling on the whole document
 */
 html {
	scroll-behavior: smooth;
}

@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}
}

@font-face {
    font-family: 'glory-regular';
    src: url('./glory/Glory-Regular.ttf');
}

@font-face {
    font-family: 'glory-medium';
    src: url('./glory/Glory-Medium.ttf');
}

@font-face {
    font-family: 'glory-bold';
    src: url('./glory/Glory-Bold.ttf');
}

* {
    box-sizing: border-box;
}

body {
    font-family: 'glory-regular';
    font-size: 24px;
    background-color: rgba(32, 175, 180, 0.7);
    /*color: rgba(255, 33, 63, 1.0);*/
}

h1 {
    font-family: 'glory-bold';
    font-size: 38px;
}

#btn-back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: rgba(255, 33, 63, 0.7);
    display: none;
}

.langs {
    margin-top: 2px;
}

.lang-select, .lang-select:focus {
    color: #ffffff;
    background-color: inherit;
    font-size: 28px;
    border: none;
}

.lang-select:active {
    color: #ffffff;
    background-color: inherit;
    font-size: 20px;
    border: none;
}

.header-bg {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
}

.header-shield {
    height: 82%;
}


button {
    all: unset;
    cursor: pointer;
}

.register {
    width: 500px;
    margin-top: 25px;
}

.registerButton {
    width: 100%;
    height: 100%;
}

.pressed {
    display: none;
}

.registerButton:hover .pressed {
    display: inline-block;
}

.registerButton:hover .unpressed {
    display: none;
}

.navbar {
    font-family: 'glory-bold';
    background-color: rgba(255, 33, 63, 1.0);
    font-size: 30px;
    color: #ffffff;
}

.navbar-nav > li {
    padding-left: 15px;
    padding-right: 15px;
}

.navbar-dark .navbar-nav .nav-link {
    color: #ffffff;
}

.logo-l {
    position: absolute;
    margin-left: 2%;
    z-index: 3;
    height: 200px;
}

h1 {
    color: #ffffff;
}

.saga {
    margin-bottom: 30px;
    font-size: 30px;
}

.agenda {
    font-size: 30px;
}

/* =========== SPONSORS ================== */

.sponsors-logo {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

 
img.diamond {
    max-width: 350px;
}

img.platin {
    max-width: 280px;
}

img.gold {
    max-width: 240px;
}

img.silver {
    max-width: 200px;
}

img.bronze {
    max-width: 150px;
}

.sponsor-row {
    padding-top: 30px;
    padding-bottom: 30px;
}

table {
    color: #ffffff;
}

td {
    padding: 10px;
}

section {
    padding-top: 50px;
    padding-bottom: 50px;
}

.top {
    padding: 0;
    height: 100vh;
    margin-bottom: 80px;
}

.header-img {
    max-height: 980px;
}

.title-text {
    color: #979c9f;
    font-size: 56px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card {
    font-family: 'glory-medium';
    height: 475px;
    background: url('../assets/chess.jpg');
    background-repeat: no-repeat;
    color: rgba(255, 33, 63, 1.0);
    font-size: 32px;
    text-align: center;
}

.card-body {
    display: flex;
    align-items: center;
}

.card background {
    opacity: 0.5;
}

.card-footer {
    background-color: rgba(255, 255, 255, 0.7);
}

.lower {
    margin-top: 25px;
}

.card-body > img {
    width: 100%;
}

.partOfIt {
    margin-bottom: 20px;
}

a {
    color: rgba(32, 175, 180, 1.0);
}

.video-box {
    display: flex;
    justify-content: center;
}

.event_video {
    width: 85%;
    height: 500px;
    border: none;
}

.text-right {
    text-align: right;
}

.text-center {
    text-align: center;
}

.form-check {
    display: inline-block;
}

.question-wrap {
    display: flex;
    justify-content: space-evenly;
}

.question {
    display: flex;
    justify-content: space-around;
    width: 70%;
}

.question-add {
    display: flex;
    justify-content: space-around;
}


@media only screen and (max-width: 1280px) {
    .top {
        height: 80vh;
    }

    
    .header-shield { 
        height: 75%;
        max-height: 700px;
    }
}

@media only screen and (max-width: 1130px) {
    
    .top {
        height: 70vh;
    }

    .header-shield { 
        height: 100%;
        max-height: 595px;
    }

    section {
        padding-top: 75px;
        padding-bottom: 75px;
    }
    
    .logo-l {
        display: none;
    }

    .card {
        margin-top: 10px;
    }

    img.diamond {
        max-width: 350px;
    }
    
    img.platin {
        max-width: 280px;
    }
    
    img.gold {
        max-width: 240px;
    }
    
    img.silver {
        max-width: 200px;
    }
    
    img.bronze {
        max-width: 150px;
    }

    .partOfIt {
        width: 80%;
        margin-bottom: 0px;
    }

    .header-bg {
        background-image: none;
        height: 70vh;
    }

    .event_video {
        width: 100%;
        height: 300px;
    }

    .saga {
        margin-top: 30px;
        margin-bottom: 5px;
        font-size: 24px;
    }

    .agenda {
        font-size: 24px;
    }

    video {
        display: none;
    }

    .register {
        margin-top: 0px;
    }

}

@media only screen and (max-width: 880px) {
    .header-shield { 
        height: 100%;
        max-height: 450px;
    }

    .sponsors-logo {
        margin-bottom: 30px;
    }

    img.diamond {
        max-width: 350px;
    }
    
    img.platin {
        max-width: 280px;
    }
    
    img.gold {
        max-width: 240px;
    }
    
    img.silver {
        max-width: 200px;
    }
    
    img.bronze {
        max-width: 180px;
    }
}

@media only screen and (max-width: 740px) {
    .header-shield { 
        height: 100%;
        max-height: 400px;
    }
}

@media only screen and (max-width: 600px) {
    .top {
        height: 30vh;
    }

    
    .header-shield { 
        height: 100%;
        max-height: 280px;
    }

    img {
        max-width: 98%;
    }

    section {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .lang-select {
        width: 20%;
    }

    .question {
        width: 100%;
    }

    .question-wrap {
        display: flex;
        justify-content: space-evenly;
        flex-direction: column
    }
}